# List subaccounts

```
POST /api/v1/account/subaccount/list
```

#### Request Body

<table><thead><tr><th width="176">Field</th><th width="98">Type</th><th width="95">Need</th><th>Description</th><th>Example</th></tr></thead><tbody><tr><td><code>"account"</code></td><td>string</td><td>required</td><td>Main account wallet address</td><td><code>42trU9A5...</code></td></tr><tr><td><code>"signature"</code></td><td>string</td><td>required</td><td>Main account signature</td><td><code>5j1Vy9Uq...</code></td></tr><tr><td><code>"timestamp"</code></td><td>integer</td><td>required</td><td>Current timestamp in milliseconds</td><td><code>1716200000000</code></td></tr><tr><td><code>"expiry_window"</code></td><td>integer</td><td>optional</td><td>Signature expiry in milliseconds</td><td><code>30000</code></td></tr></tbody></table>

```json
{
  "account": "42txU9As...",
  "signature": "5j1Vy9Uq...",
  "timestamp": 1716200000000,
  "expiry_window": 30000
}
```

#### Response

* Status 200: Subaccounts listed successfully

```json
{
  "success": true,
  "data": {
    "subaccounts": [
      {
        "address": "69txU9As...",
        "balance": "1000.50",
        "pending_balance": "0.00",
        "fee_level": 1,
        "fee_mode": "auto",
        "use_ltp_for_stop_orders": false,
        "created_at": 1716200000000
      }
    ]
  },
  "error": null,
  "code": null
}
```

| Field                       | Type           | Description                                                                                             |
| --------------------------- | -------------- | ------------------------------------------------------------------------------------------------------- |
| `'address'`                 | string         | Current account balance, defined as amount of USD in account before settlement                          |
| `'balance'`                 | decimal string | Subaccount balance in USD                                                                               |
| `'pending_balance'`         | decimal string | Amount of subaccount balance in pending status (deposit request is successful, waiting on confirmation) |
| `'fee_level'`               | integer        | Current fee tier of account, determined by trading volume                                               |
| `'fee_mode'`                | string         | `"auto"` by default                                                                                     |
| `'use_ltp_for_stop_orders'` | boolean        | Does this subaccount use last traded price to trigger stop orders?                                      |
| `'created_at'`              | integer        | Creation timestamp in milliseconds                                                                      |

* Status 400: Bad request

```json
{
  "success": false,
  "data": null,
  "error": "Invalid signature format",
  "code": null
}
```

* Status 401: Unauthorized

```json
{
  "success": false,
  "data": null,
  "error": "Signature verification failed",
  "code": null
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://pacifica.gitbook.io/docs/api-documentation/api/rest-api/subaccounts/list-subaccounts.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
